---
title: "Command Reference"
date: 2022-09-10T22:45:07-04:00
description: "Full command usage"
draft: false
weight: 1
version: "2.0.0"
---


# Comamnd Reference 

The command can be used to launch any number of configured objects using a space separated list. 

## Listing configured objects

Running the command with no arguments will list all configured groups, components, and tasks that are configured in the configuration file.

```sh
conductor 
```

## Launching a specific item

Launchign a group

```sh
conductor groupname
```

Launching a specific component

```sh
conductor componentname
```

Launching a specific root level task

```sh
conductor taskname
```

Launching a compoennt level task

```sh
conductor componentname:taskname
```

## Launching Multiple Specific Items 

Multiple objects can be ran with a space separated list. Groups, components, and tasks can be used interchangably.

```sh
conductor mygroup mytask mycomponent mycomponent:subtask
```
